from pattern.vector import Document, NB
from pattern.db import csv

nb = NB()

# myDataset = 'datasets/pos-neg_common-sense.csv'
patternDataset = 'datasets/reviews.csv'

for review, rating in csv(patternDataset):
	v = Document(review, type=int(rating), stopwords=True) 
	nb.train(v)

print "--------------"
print "the *review.csv* dataset contains the following labels (coming from the 5 star movie review system):"
print nb.classes

unlabeledDocument = 'text mining is fantastic!'

print "--------------"
print "'"+unlabeledDocument+"' is labeled as :"
print nb.classify(unlabeledDocument)



# example script from: http://www.clips.ua.ac.be/pages/pattern-vector#classification